List or Retrieve users
curl --request GET \
--url https://paradigm.lighton.ai/scim/v2/Users \
--header 'Authorization: Bearer <token>'import requests
url = "https://paradigm.lighton.ai/scim/v2/Users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://paradigm.lighton.ai/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"externalId": "<string>",
"userName": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>",
"formatted": "<string>"
},
"displayName": "<string>",
"emails": [
{
"value": "<string>",
"primary": true
}
],
"title": "<string>",
"active": true,
"groups": [
{
"value": "<string>",
"display": "<string>"
}
],
"meta": {
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>",
"resourceType": "User"
}
}
],
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 0,
"itemsPerPage": 50,
"startIndex": 0
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Unauthorized",
"status": 401
}SCIM
List or Retrieve users
Automatic filtering on company defined in get_extra_model_filter_kwargs_getter()
GET
/
scim
/
v2
/
Users
List or Retrieve users
curl --request GET \
--url https://paradigm.lighton.ai/scim/v2/Users \
--header 'Authorization: Bearer <token>'import requests
url = "https://paradigm.lighton.ai/scim/v2/Users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://paradigm.lighton.ai/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "<string>",
"externalId": "<string>",
"userName": "<string>",
"name": {
"givenName": "<string>",
"familyName": "<string>",
"formatted": "<string>"
},
"displayName": "<string>",
"emails": [
{
"value": "<string>",
"primary": true
}
],
"title": "<string>",
"active": true,
"groups": [
{
"value": "<string>",
"display": "<string>"
}
],
"meta": {
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>",
"resourceType": "User"
}
}
],
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 0,
"itemsPerPage": 50,
"startIndex": 0
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "Unauthorized",
"status": 401
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I